Subject: [mpls] I-D Action: draft-ietf-mpls-mldp-in-band-wildcard-encoding-01.txt

From: [email-masked]
Date: Mon, 03 Mar 2014 08:26:58 -0800

A New Internet-Draft is available from the on-line Internet-Drafts directories.
 This draft is a work item of the Multiprotocol Label Switching Working Group of the IETF.

        Title           : mLDP In-Band Signaling with Wildcards
        Authors         : IJsbrand Wijnands
                          Eric Rosen
                          Arkadiy Gulko
                          Uwe Joorde
                          Jeff Tantsura
	Filename        : draft-ietf-mpls-mldp-in-band-wildcard-encoding-01.txt
	Pages           : 16
	Date            : 2014-03-03

Abstract:
   There are scenarios in which an IP multicast tree traverses an MPLS
   domain.  In these scenarios, it can be desirable to convert the IP
   multicast tree "seamlessly" to an MPLS multipoint label switched path
   (MP-LSP) when it enters the MPLS domain, and then to convert it back
   to an IP multicast tree when it exits the MPLS domain.  Previous
   documents specify procedures that allow certain kinds of IP multicast
   trees (either "Source-Specific Multicast" trees or "Bidirectional
   Multicast" trees) to be attached to an MPLS Multipoint Label Switched
   Path (MP-LSP).  However, the previous documents do not specify
   procedures for attaching IP "Any Source Multicast" trees to MP-LSPs,
   nor do they specify procedures for aggregating multiple IP multicast
   trees onto a single MP-LSP.  This document specifies the procedures
   to support these functions.  It does so by defining "wildcard"
   encodings that make it possible to specify, when setting up an MP-
   LSP, that a set of IP multicast trees, or a shared IP multicast tree,
   should be attached to that MP-LSP.  Support for non-bidirectional IP
   "Any Source Multicast" trees is subject to certain applicability
   restrictions that are discussed in this document.

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-ietf-mpls-mldp-in-band-wildcard-encoding/

There's also a htmlized version available at:
http://tools.ietf.org/html/draft-ietf-mpls-mldp-in-band-wildcard-encoding-01

A diff from the previous version is available at:
http://www.ietf.org/rfcdiff?url2=draft-ietf-mpls-mldp-in-band-wildcard-encoding-01

Please note that it may take a couple of minutes from the time of submission
until the htmlized version and diff are available at tools.ietf.org.

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/